AVS Forum banner
Status
Not open for further replies.
1 - 5 of 5 Posts

·
Registered
Joined
·
502 Posts
Discussion Starter · #1 ·
I have a Saphire (Atlantis) Radeon 9000 PRO. Not sure what Catalyst drivers, if any, it came with. How do you find out?


At the ATI site I see I can download several versions from here . Which version should I get? The Karnis guide is written against 3.1/3.4(?).
 

·
Registered
Joined
·
502 Posts
Discussion Starter · #2 ·
Also, should I uninstall the drivers that came with my card prior to running the Catalyst installation?
 

·
Registered
Joined
·
2,006 Posts
I am running catalyst 3.7 (the latest) downloaded from ATI.com. You can use the windows uninstall to remove the current ATI driver and control panel. Reboot and install the cat 3.7 drivers. If you are worried about leave-behinds of the old catalyst drivers you can uninstall your old drivers, use drive cleaner and then load the new drivers.

http://www.driverheaven.net/cleaner/


I am running a sapphire 9000 (not PRO) and windows xp sp1.


You can see what version you are currently running by going to the windows system/ATI control panel, selecting advanced then options tab to see your current version.


I run 1024x768, 75hz refresh. If you need some sort of custom timing then another version might be better. I cannot advise on that.
 

·
Registered
Joined
·
237 Posts
Hi guys,


I have the PowerColor Radeon 9000 (non-pro, no fan) 128 Mb version.


You can use the Catalyst 3.7, the download from ATI should work for both "Built-by" and "Power-by" ATI cards. Just uninstall the previous driver from control panel.


I do have one question though, have you guys run the 3DMark benchmark in your system? I ran it yesterday night and I'm so disappointed. I played "The Thing" game last month and all the 3D is very smooth, then I started to play "Battle Engine Aquila" last week, the 3D frame rate is horrible! I ran 3DMark benchmark and get most of the test running at 3 fps. I'm using P3-1.13 Ghz.... Anyway, I thought 128 Mb of video ram is pretty good.....
 

·
Registered
Joined
·
5,056 Posts
CAT3.7 runs fine with my 9700Pro.


And, Yes, you want to uninstall first. It seems that the de-installation process has gotten better, i.e. more stable/thorough. However, I read here in the forum the other day that Driver Cleaner works very well, just in case…

____

Axel
 
1 - 5 of 5 Posts
Status
Not open for further replies.
Top